Updating Libtorrent because of Error: short read

General support for problems installing or using Deluge
raspdealer
Leecher
Leecher
Posts: 55
Joined: Sun Oct 04, 2015 6:11 pm
OS or Distro: Raspbian

Re: Updating Libtorrent because of Error: short read

Postby raspdealer » Sat Oct 22, 2016 10:35 am

Based on the src list, i'm at 54/88 files xompiled after days...

Can you drop it somewhere for me? I guess its compatible...
I you can just help me with instructions and file it will be a win of time for me...

Thanks

shamael
Super Seeder
Super Seeder
Posts: 359
Joined: Sat Oct 08, 2016 9:28 am
OS or Distro: osmc

Re: Updating Libtorrent because of Error: short read

Postby shamael » Sun Oct 23, 2016 9:39 am

I don't get it, RPI 3 vs 2 should not make such a huge difference I guess. Anyway here below the link of my version, "sudo dpkg -i DEB_PACKAGE" to install

Check your PM for the link

raspdealer
Leecher
Leecher
Posts: 55
Joined: Sun Oct 04, 2015 6:11 pm
OS or Distro: Raspbian

Re: Updating Libtorrent because of Error: short read

Postby raspdealer » Sun Oct 23, 2016 10:02 am

Thanks.
It's done but now it doesnt work anymore...

python -c "import libtorrent; print libtorrent.version"
is giving me an error

Code: Select all

Traceback (most recent call last):
  File "<string>", line 1, in <module>
ImportError: libboost_system.so.1.55.0: cannot open shared object file: No such file or directory

shamael
Super Seeder
Super Seeder
Posts: 359
Joined: Sat Oct 08, 2016 9:28 am
OS or Distro: osmc

Re: Updating Libtorrent because of Error: short read

Postby shamael » Sun Oct 23, 2016 10:42 am

Is the dependency libboost present on your system?
http://dev.deluge-torrent.org/wiki/Building/libtorrent
the package use in the point 3
"ARM architecture (Raspberry Pi, etc): add --with-boost-libdir=/usr/lib/arm-linux-gnueabihf at the end to avoid boost library error. "

#confirm the libbost 1.55 is present on your system
sudo dpkg -l|grep libboost

#check the path (matching /usr/lib/arm-linux-gnueabihf)
sudo dpkg -L libboost-python1.55.0

If not present, copying the file there should make the trick

raspdealer
Leecher
Leecher
Posts: 55
Joined: Sun Oct 04, 2015 6:11 pm
OS or Distro: Raspbian

Re: Updating Libtorrent because of Error: short read

Postby raspdealer » Sun Oct 23, 2016 10:51 am

It seems that I only have 1.49.0

Code: Select all

pi@deluge ~/libtorrent-rasterbar-1.0.10 $ sudo dpkg -L libboost-python1.49.0
/.
/usr
/usr/share
/usr/share/lintian
/usr/share/lintian/overrides
/usr/share/lintian/overrides/libboost-python1.49.0
/usr/share/doc
/usr/share/doc/libboost-python1.49.0
/usr/share/doc/libboost-python1.49.0/changelog.Debian.gz
/usr/share/doc/libboost-python1.49.0/README.Debian.gz
/usr/share/doc/libboost-python1.49.0/copyright
/usr/share/doc/libboost-python1.49.0/NEWS.Debian.gz
/usr/lib
/usr/lib/libboost_python-py32.so.1.49.0
/usr/lib/libboost_python-py27.so.1.49.0
/usr/lib/libboost_python-py26.so.1.49.0


meanwhile i'm continuing to try to build it...

shamael
Super Seeder
Super Seeder
Posts: 359
Joined: Sat Oct 08, 2016 9:28 am
OS or Distro: osmc

Re: Updating Libtorrent because of Error: short read

Postby shamael » Sun Oct 23, 2016 12:48 pm

I'm based on the same repo as you so I guess you can easily update from it. Try:
sudo apt-get update
sudo apt-cache show libboost1.*

Is the version 1.55 present? If yes just update the package , check the presence of folder /usr/lib/arm-linux-gnueabihf and resintall the deb.
My distrib is based on Debian as yours so I guess it's maybe the problem you face to

raspdealer
Leecher
Leecher
Posts: 55
Joined: Sun Oct 04, 2015 6:11 pm
OS or Distro: Raspbian

Re: Updating Libtorrent because of Error: short read

Postby raspdealer » Sun Oct 23, 2016 1:02 pm

Thanks but the higher version available is 1.50... not 1.55.

It seems I'm on wheezy... still. I will change to jessie and try again... (I just sent you a pm)

Update.

Ok it was the issue. What I did:

Code: Select all

sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade

to make sure wheezy is fully up to date.

Code: Select all

sudo nano /etc/apt/sources.list

to change wheezy to jessie.

Code: Select all

sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade

to make sure jessie is fully up to date.

I will continue now.

raspdealer
Leecher
Leecher
Posts: 55
Joined: Sun Oct 04, 2015 6:11 pm
OS or Distro: Raspbian

Re: Updating Libtorrent because of Error: short read

Postby raspdealer » Sun Oct 23, 2016 3:55 pm

OK breaking news. After few upgrades.

~ $ sudo dpkg -l|grep libboost1.55

Code: Select all

ii  libboost1.55-dev:armhf                                      1.55.0+dfsg-3                             armhf        Boost C++ Libraries development files

~ $ sudo dpkg -L libboost-python1.55.0

Code: Select all

/.
/usr
/usr/lib
/usr/lib/arm-linux-gnueabihf
/usr/lib/arm-linux-gnueabihf/libboost_python-py27.so.1.55.0
/usr/lib/arm-linux-gnueabihf/libboost_python-py34.so.1.55.0
/usr/share
/usr/share/doc
/usr/share/doc/libboost-python1.55.0
/usr/share/doc/libboost-python1.55.0/copyright
/usr/share/doc/libboost-python1.55.0/changelog.Debian.gz
/usr/share/lintian
/usr/share/lintian/overrides
/usr/share/lintian/overrides/libboost-python1.55.0


BUT

~/libtorrent-rasterbar-1.0.10 $ ./configure --enable-python-binding --with-libgeoip --with-libiconv --with-boost-libdir=/usr/lib/arm-linux-gnueabihf

still finish with

Code: Select all

configure: error: Boost.Python library not found. Try using --with-boost-python=lib.


Full result

Code: Select all

checking whether make supports nested variables... yes

Building libtorrent-rasterbar 1.0.10

Checking for a C/C++ compiler to use:
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether gcc understands -c and -o together... yes
checking how to run the C preprocessor... gcc -E
checking whether gcc and cc understand -c and -o together... yes
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking how to run the C++ preprocessor... g++ -E
checking whether g++ understands -c and -o together... yes

Checking system type:
checking build system type... armv6l-unknown-linux-gnueabihf
checking host system type... armv6l-unknown-linux-gnueabihf
checking target system type... armv6l-unknown-linux-gnueabihf

Initializing Automake:
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking dependency style of g++... gcc3

Initializing Libtool:
checking how to print strings... printf
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for fgrep... /bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking how to convert armv6l-unknown-linux-gnueabihf file names to armv6l-unknown-linux-gnueabihf format... func_convert_file_noop
checking how to convert armv6l-unknown-linux-gnueabihf file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for a working dd... /bin/dd
checking how to truncate binary pipes... /bin/dd bs=4096 count=1
checking for mt... mt
checking if mt is a manifest tool... no
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking how to run the C++ preprocessor... g++ -E
checking for ld used by g++... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking whether the g++ linker (/usr/bin/ld) supports shared libraries... yes
checking for g++ option to produce PIC... -fPIC -DPIC
checking if g++ PIC flag -fPIC -DPIC works... yes
checking if g++ static flag -static works... yes
checking if g++ supports -c -o file.o... yes
checking if g++ supports -c -o file.o... (cached) yes
checking whether the g++ linker (/usr/bin/ld) supports shared libraries... yes
checking dynamic linker characteristics... (cached) GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate

Checking for posix thread support:
checking for the pthreads library -lpthreads... no
checking whether pthreads work without any flags... no
checking whether pthreads work with -Kthread... no
checking whether pthreads work with -kthread... no
checking for the pthreads library -llthread... no
checking whether pthreads work with -lpthread... yes
checking for joinable pthread attribute... PTHREAD_CREATE_JOINABLE
checking if more special flags are required for pthreads... no
checking whether to check for GCC pthread/shared inconsistencies... yes
checking whether -lpthread fixes that... yes
Checking for visibility support:
checking for __attribute__((visibility("hidden")))... found
yes

Checking for boost libraries:
checking for boostlib >= 1.36... yes
checking whether the Boost::System library is available... yes
checking for exit in -lboost_system... yes

Checking for pkg-config:
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.20... yes

Checking for functions and headers:
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... 64
checking whether ln -s works... yes
checking whether make sets $(MAKE)... (cached) yes
checking for gethostbyname... yes
checking for gethostbyname_r... yes
checking for clock_gettime... yes

Checking build options:
checking whether deprecated functions should be enabled... yes
checking whether debug build should be enabled... no
checking whether invariant check should be enabled... no
checking whether logging to disk should be enabled... no
checking whether statistics logging should be enabled... no
checking whether disk activity logging should be enabled... no

Checking features to be enabled:
checking whether encryption support should be enabled... yes
configure: encryption support: now checking for the OpenSSL library...
checking for pkg-config... /usr/bin/pkg-config
checking whether compiling and linking against OpenSSL works... yes
checking whether geoip support should be enabled... yes
checking whether dht support should be enabled... yes
checking whether pool allocators should be enabled... yes

Checking for extra build files:
checking whether example files should be built... no
checking whether test files should be built... no
checking whether python bindings should be built... yes
checking for a Python interpreter with version >= 2.4... python
checking for python... /usr/bin/python
checking for python version... 2.7
checking for python platform... linux2
checking for python script directory... ${prefix}/lib/python2.7/dist-packages
checking for python extension module directory... ${exec_prefix}/lib/python2.7/dist-packages
checking for python2.7... (cached) /usr/bin/python
checking for a version of Python >= '2.1.0'... yes
checking for a version of Python >= '2.4'... yes
checking for the distutils Python package... grep: Trailing backslash
yes
checking for Python include path... -I/usr/include/python2.7
checking for Python library path... -L/usr/lib -lpython2.7
checking for Python site-packages path... /usr/lib/python2.7/dist-packages
checking python extra libraries... -lpthread -ldl  -lutil -lm
checking python extra linking flags... -Xlinker -export-dynamic -Wl,-O1 -Wl,-Bsymbolic-functions
checking consistency of all components of python development environment... yes
checking whether the Boost::Python library is available... yes
checking whether boost_python is the correct library... no
checking whether boost_python-py27 is the correct library... no
checking whether boost_python-py34 is the correct library... no
checking whether boost_python is the correct library... (cached) no
checking whether boost_python3 is the correct library... no
configure: error: Boost.Python library not found. Try using --with-boost-python=lib.

raspdealer
Leecher
Leecher
Posts: 55
Joined: Sun Oct 04, 2015 6:11 pm
OS or Distro: Raspbian

Re: Updating Libtorrent because of Error: short read

Postby raspdealer » Sun Oct 23, 2016 4:14 pm

and with your deb file and a

Code: Select all

sudo ldconfig

I've got this:

Code: Select all

pi@deluge ~ $ python -c "import libtorrent; print libtorrent.version"
Instruction unauthorized

shamael
Super Seeder
Super Seeder
Posts: 359
Joined: Sat Oct 08, 2016 9:28 am
OS or Distro: osmc

Re: Updating Libtorrent because of Error: short read

Postby shamael » Sun Oct 23, 2016 4:50 pm

Well, it goes a step forward :).
I get the same result for the command "sudo dpkg -L libboost-python1.55.0" so this should be fine.
/.
/usr
/usr/share
/usr/share/lintian
/usr/share/lintian/overrides
/usr/share/lintian/overrides/libboost-python1.55.0
/usr/share/doc
/usr/share/doc/libboost-python1.55.0
/usr/share/doc/libboost-python1.55.0/changelog.Debian.gz
/usr/share/doc/libboost-python1.55.0/copyright
/usr/lib
/usr/lib/arm-linux-gnueabihf
/usr/lib/arm-linux-gnueabihf/libboost_python-py34.so.1.55.0
/usr/lib/arm-linux-gnueabihf/libboost_python-py27.so.1.55.0


No permission issue to access the boost folder and same content?
ls /usr/lib/arm-linux-gnueabihf|grep libboost
libboost_python.a
libboost_python-py27.a
libboost_python-py27.so
libboost_python-py27.so.1.55.0
libboost_python-py34.a
libboost_python-py34.so
libboost_python-py34.so.1.55.0
libboost_python.so
libboost_system.a
libboost_system.so
libboost_system.so.1.55.0


Did you try to remove my deb+reinstall it ? I never tried the libtorrent 1.0.10 so just to be sure


Return to “Support”

Who is online

Users browsing this forum: No registered users and 6 guests